petsc-3.4.2 2013-07-02

# SNESPythonSetType

Initalize a SNES object implemented in Python.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESPythonSetType(SNES snes,const char pyname[])

Collective on SNES

### Input Parameter

| snes | - the nonlinear solver (SNES) context.
| pyname | - full dotted Python name [package].module[.{class|function}]

### Options Database Key

-snes_python_type <pyname> -

### Keywords

SNES, Python

### See Also

SNESCreate(), SNESSetType(), SNESPYTHON, PetscPythonInitialize()

Level:intermediate
Location:src/snes/impls/python/pythonsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages